petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsClearValue

Clears an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsClearValue(PetscOptions options,const char name[])

Not Collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameter

| options | - options database, use NULL for the default global database
| name | - name of option, this SHOULD have the - prepended

### See Also

PetscOptionsInsert()

### Level

intermediate

### Location

src/sys/objects/options.c

### Examples

src/snes/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages